umbrello: UMLWidgetStylePage Class Reference

umbrello 2.37.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
UMLWidgetStylePage Class Reference

`#include <umlwidgetstylepage.h>`

Inheritance diagram for UMLWidgetStylePage:

## Public Slots
void | slotTextButtonClicked ()
void | slotLineButtonClicked ()
void | slotFillButtonClicked ()
void | slotBackgroundButtonClicked ()
void | slotGridDotButtonClicked ()
void | slotLineWidthButtonClicked ()

## Public Member Functions
| UMLWidgetStylePage (QWidget *pParent, WidgetBase *pWidget)
| UMLWidgetStylePage (QWidget *pParent, Settings::OptionState *options)
| UMLWidgetStylePage (QWidget *pParent, UMLScene *scene)
virtual | ~UMLWidgetStylePage ()
void | apply ()

## Protected Attributes
WidgetBase * | m_pUMLWidget
| the widget to set the style for
UMLScene * | m_scene
Settings::OptionState * | m_options
QGroupBox * | m_pColorGB
QGroupBox * | m_pStyleGB
QLabel * | m_pTextColorL
QLabel * | m_pLineColorL
QLabel * | m_pFillColorL
QLabel * | m_BackgroundColorL
QLabel * | m_GridDotColorL
QLabel * | m_lineWidthL
QCheckBox * | m_pUseFillColorCB
QPushButton * | m_pTextDefaultB
QPushButton * | m_pLineDefaultB
QPushButton * | m_pFillDefaultB
QPushButton * | m_BackgroundDefaultB
QPushButton * | m_GridDotDefaultB
QPushButton * | m_lineWidthDefaultB
KColorButton * | m_pTextColorB
KColorButton * | m_pLineColorB
KColorButton * | m_pFillColorB
KColorButton * | m_BackgroundColorB
KColorButton * | m_GridDotColorB
SelectLayoutTypeWidget * | m_layoutTypeW
KIntSpinBox * | m_lineWidthB

## Private Member Functions
void | init ()

## Detailed Description

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLWidgetStylePage() [1/3]

UMLWidgetStylePage::UMLWidgetStylePage | ( | QWidget * | pParent,
|  | WidgetBase * | pWidget
| ) |  |

Constructor - Observe a UMLWidget.

## ◆ UMLWidgetStylePage() [2/3]

UMLWidgetStylePage::UMLWidgetStylePage | ( | QWidget * | pParent,
|  | Settings::OptionState * | options
| ) |  |

Constructor - Observe an OptionState structure.

## ◆ UMLWidgetStylePage() [3/3]

UMLWidgetStylePage::UMLWidgetStylePage | ( | QWidget * | pParent,
|  | UMLScene * | scene
| ) |  |

Constructor - Observe a UMLScene.

## ◆ ~UMLWidgetStylePage()

UMLWidgetStylePage::~UMLWidgetStylePage | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ apply()

void UMLWidgetStylePage::apply | ( |  | ) |

Updates the UMLWidget with the dialog properties.

## ◆ init()

void UMLWidgetStylePage::init | ( |  | ) |
| private

## ◆ slotBackgroundButtonClicked

void UMLWidgetStylePage::slotBackgroundButtonClicked | ( |  | ) |
| slot

Sets the default fill color when default fill button clicked.

## ◆ slotFillButtonClicked

void UMLWidgetStylePage::slotFillButtonClicked | ( |  | ) |
| slot

Sets the default fill color when default fill button clicked.

## ◆ slotGridDotButtonClicked

void UMLWidgetStylePage::slotGridDotButtonClicked | ( |  | ) |
| slot

Sets the default fill color when default fill button clicked.

## ◆ slotLineButtonClicked

void UMLWidgetStylePage::slotLineButtonClicked | ( |  | ) |
| slot

Sets the default line color when default line button clicked.

## ◆ slotLineWidthButtonClicked

void UMLWidgetStylePage::slotLineWidthButtonClicked | ( |  | ) |
| slot

Sets the default line color when default line button clicked.

## ◆ slotTextButtonClicked

void UMLWidgetStylePage::slotTextButtonClicked | ( |  | ) |
| slot

Sets the default text color when default text button clicked.

## Member Data Documentation

## ◆ m_BackgroundColorB

KColorButton* UMLWidgetStylePage::m_BackgroundColorB
| protected

## ◆ m_BackgroundColorL

QLabel* UMLWidgetStylePage::m_BackgroundColorL
| protected

## ◆ m_BackgroundDefaultB

QPushButton* UMLWidgetStylePage::m_BackgroundDefaultB
| protected

## ◆ m_GridDotColorB

KColorButton* UMLWidgetStylePage::m_GridDotColorB
| protected

## ◆ m_GridDotColorL

QLabel* UMLWidgetStylePage::m_GridDotColorL
| protected

## ◆ m_GridDotDefaultB

QPushButton* UMLWidgetStylePage::m_GridDotDefaultB
| protected

## ◆ m_layoutTypeW

SelectLayoutTypeWidget* UMLWidgetStylePage::m_layoutTypeW
| protected

## ◆ m_lineWidthB

KIntSpinBox* UMLWidgetStylePage::m_lineWidthB
| protected

## ◆ m_lineWidthDefaultB

QPushButton* UMLWidgetStylePage::m_lineWidthDefaultB
| protected

## ◆ m_lineWidthL

QLabel* UMLWidgetStylePage::m_lineWidthL
| protected

## ◆ m_options

Settings::OptionState* UMLWidgetStylePage::m_options
| protected

## ◆ m_pColorGB

QGroupBox* UMLWidgetStylePage::m_pColorGB
| protected

## ◆ m_pFillColorB

KColorButton* UMLWidgetStylePage::m_pFillColorB
| protected

## ◆ m_pFillColorL

QLabel* UMLWidgetStylePage::m_pFillColorL
| protected

## ◆ m_pFillDefaultB

QPushButton* UMLWidgetStylePage::m_pFillDefaultB
| protected

## ◆ m_pLineColorB

KColorButton* UMLWidgetStylePage::m_pLineColorB
| protected

## ◆ m_pLineColorL

QLabel* UMLWidgetStylePage::m_pLineColorL
| protected

## ◆ m_pLineDefaultB

QPushButton* UMLWidgetStylePage::m_pLineDefaultB
| protected

## ◆ m_pStyleGB

QGroupBox* UMLWidgetStylePage::m_pStyleGB
| protected

## ◆ m_pTextColorB

KColorButton* UMLWidgetStylePage::m_pTextColorB
| protected

## ◆ m_pTextColorL

QLabel* UMLWidgetStylePage::m_pTextColorL
| protected

## ◆ m_pTextDefaultB

QPushButton* UMLWidgetStylePage::m_pTextDefaultB
| protected

## ◆ m_pUMLWidget

WidgetBase* UMLWidgetStylePage::m_pUMLWidget
| protected

the widget to set the style for

## ◆ m_pUseFillColorCB

QCheckBox* UMLWidgetStylePage::m_pUseFillColorCB
| protected

## ◆ m_scene

UMLScene* UMLWidgetStylePage::m_scene
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/umlwidgetstylepage.h
- umbrello/dialogs/pages/umlwidgetstylepage.cpp